data:extend({

  {
    type = "active-defense-equipment",
    name = "hsmd-personal-bugzapper-equipment",
    sprite =
    {
      filename = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-equipment.png",
      width = 224,
      height = 224,
      priority = "medium"
    },
    shape =
    {
      width = 10,
      height = 10,
      type = "full"
    },
    energy_source =
    {
      type = "electric",
      usage_priority = "secondary-input",
      buffer_capacity = "40000kJ"
    },
    automatic = true,
    categories = {"armor"},
    attack_parameters =
    {
      type = "beam",
      cooldown = 20,
      min_range = 15,
      range = 45,
      --source_direction_count = 64,
      --source_offset = {0, -3.423489 / 4},
      damage_modifier = 80,
      ammo_type =      
      {
        category = "laser-turret",
        energy_consumption = "16000kJ",
        action =
        {
          type = "direct",
          action_delivery =
          {
            type = "beam",
            beam = "laser-beam",
            max_length = 45,
            duration = 20,
            source_offset = {0, -1.31439 }
          }
        }
	  }
    }
  }

});


local death1 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death1.name = "hsmd-personal-bugzapper-s1-equipment";
death1.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s1-equipment.png";
death1.shape.width = 9;
death1.shape.height = 9;
death1.take_result = "hsmd-personal-bugzapper-s1-equipment";

local death2 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death2.name = "hsmd-personal-bugzapper-s2-equipment";
death2.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s2-equipment.png";
death2.shape.width = 8;
death2.shape.height = 8;
death2.take_result = "hsmd-personal-bugzapper-s2-equipment";

local death3 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death3.name = "hsmd-personal-bugzapper-s3-equipment";
death3.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s3-equipment.png";
death3.shape.width = 7;
death3.shape.height = 7;
death3.take_result = "hsmd-personal-bugzapper-s3-equipment";



local death4 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death4.name = "hsmd-personal-bugzapper-s4-equipment";
death4.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s4-equipment.png";
death4.shape.width = 6;
death4.shape.height = 6;
death4.take_result = "hsmd-personal-bugzapper-s4-equipment";

local death5 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death5.name = "hsmd-personal-bugzapper-s5-equipment";
death5.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s5-equipment.png";
death5.shape.width = 5;
death5.shape.height = 5;
death5.take_result = "hsmd-personal-bugzapper-s5-equipment";

local death6 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death6.name = "hsmd-personal-bugzapper-s6-equipment";
death6.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s6-equipment.png";
death6.shape.width = 4;
death6.shape.height = 4;
death6.take_result = "hsmd-personal-bugzapper-s6-equipment";



local death7 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death7.name = "hsmd-personal-bugzapper-s7-equipment";
death7.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s7-equipment.png";
death7.shape.width = 3;
death7.shape.height = 3;
death7.take_result = "hsmd-personal-bugzapper-s7-equipment";

local death8 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death8.name = "hsmd-personal-bugzapper-s8-equipment";
death8.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s8-equipment.png";
death8.shape.width = 2;
death8.shape.height = 2;
death8.take_result = "hsmd-personal-bugzapper-s8-equipment";

local death9 = table.deepcopy(data.raw['active-defense-equipment']['hsmd-personal-bugzapper-equipment']);
death9.name = "hsmd-personal-bugzapper-s9-equipment";
death9.icon = "__Hiladdar_Gear__/graphics/equipment/hsmd-personal-bugzapper-s9-equipment.png";
death9.shape.width = 1;
death9.shape.height = 1;
death9.take_result = "hsmd-personal-bugzapper-s9-equipment";

data:extend({death9, death8, death7, death6, death5, death4, death3, death2, death1});