data:extend({


  {
    type = "recipe",
    name = "hsmd-night-vision-s1-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"night-vision-equipment", 1}

    },
    result = "hsmd-night-vision-s1-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-solar-panel-s1-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"hsmd-stacked-solar", 1}

    },
    result = "hsmd-solar-panel-s1-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-battery-mk2-s1-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"hsmd-stacked-battery", 1}

    },
    result = "hsmd-battery-mk2-s1-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-fusion-reactor-s1-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 44},
      {"hsmd-boxed-gravitanium", 44},
      {"processing-unit", 880},
      {"fusion-reactor-equipment", 1}

    },
    result = "hsmd-fusion-reactor-s1-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-fusion-reactor-s2-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 56},
      {"hsmd-boxed-gravitanium", 56},
      {"processing-unit", 1120},
      {"hsmd-fusion-reactor-s1-equipment", 1}

    },
    result = "hsmd-fusion-reactor-s2-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-fusion-reactor-s3-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"hsmd-fusion-reactor-s2-equipment", 1}

    },
    result = "hsmd-fusion-reactor-s3-equipment"
  },

  
--[[  
  {
    type = "recipe",
    name = "hsmd-discharge-defense-s1-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"discharge-defense-equipment", 1}

    },
    result = "hsmd-discharge-defense-s1-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-discharge-defense-remote",
    enabled = false,
    ingredients =
      {
        {"electronic-circuit", 1},
        {"hsmd-gravitanium-plate", 1}
      },
    result = "hsmd-discharge-defense-remote"
  },
]]
  
  
  {
    type = "recipe",
    name = "hsmd-personal-roboport-mk2s-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"personal-roboport-mk2-equipment", 1}

    },
    result = "hsmd-personal-roboport-mk2s-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-exoskeleton-s1-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"exoskeleton-equipment", 1}

    },
    result = "hsmd-exoskeleton-s1-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-personal-laser-defense-s1-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"personal-laser-defense-equipment", 1}

    },
    result = "hsmd-personal-laser-defense-s1-equipment"
  },

  {
    type = "recipe",
    name = "hsmd-energy-shield-mk2s-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"energy-shield-mk2-equipment", 1}

    },
    result = "hsmd-energy-shield-mk2s-equipment"
  }

--[[

  {
    type = "recipe",
    name = "hsmd-deathray-s10-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
--      {"submachine-gun", 10},
--      {"personal-laser-defense-equipment", 10},
--      {"hsmd-gravitanium-plate", 100},
--      {"steel-plate", 25}
--      {"processing-unit", 100},
--      {"battery-mk2-equipment", 10}.
      {"steel-plate", 25}

    },
    result = "hsmd-deathray-s10-equipment"
  }

]]


})




