data:extend({

  {
    type = "technology",
    name = "hsmd-power-armor-mk3",
    icon_size = 128,
    icon = "__Hiladdar_Gear__/graphics/technology/hsmd-power-armor-mk3.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "hsmd-power-armor-mk3"
      }
    },
    prerequisites = {"power-armor-mk2", "speed-module-3", "effectivity-module-3"},
    unit =
    {
      count = 1000,
      ingredients =
      {
        {"automation-science-pack", 1},
        {"logistic-science-pack", 1},
        {"chemical-science-pack", 1},
        {"military-science-pack", 1},
        {"utility-science-pack", 1},
        {"space-science-pack",1}
      },
      time = 60
    },
    order = "g-c-b-1"
  },
  
  
  {
    type = "technology",
    name = "hsmd-power-armor-mk4",
    icon_size = 128,
    icon = "__Hiladdar_Gear__/graphics/technology/hsmd-power-armor-mk4.png",
    effects =
    {
      {
        type = "unlock-recipe",
        recipe = "hsmd-power-armor-mk4"
      }
    },
    prerequisites = {"hsmd-power-armor-mk3"},
    unit =
    {
      count = 2500,
      ingredients =
      {
        {"automation-science-pack", 1},
        {"logistic-science-pack", 1},
        {"chemical-science-pack", 1},
        {"military-science-pack", 1},
        {"utility-science-pack", 1},
        {"space-science-pack",1}
      },
      time = 60
    },
    order = "g-c-b-2"
  }
  
})