data:extend({

    {
      type = "technology",
      name = "hsmd-personal-bugzapper-equipment",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-personal-bugzapper-equipment.png",
	  icon_size = 224,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-equipment"
        }
      },
	  prerequisites = {"military-4", "hsmd-miniaturization-3"},
      unit =
      {
        count = 2500,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    },

   
    {
      type = "technology",
      name = "hsmd-personal-bugzapper-equipment-2",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-personal-bugzapper-equipment.png",
	  icon_size = 224,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s1-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s2-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s3-equipment"
        }
      },
	  prerequisites = {"hsmd-personal-bugzapper-equipment", "hsmd-miniaturization-4"},
      unit =
      {
        count = 7500,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    },

    
    {
      type = "technology",
      name = "hsmd-personal-bugzapper-equipment-3",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-personal-bugzapper-equipment.png",
	  icon_size = 224,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s4-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s5-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s6-equipment"
        }
      },
	  prerequisites = {"hsmd-personal-bugzapper-equipment-2"},
      unit =
      {
        count = 7500,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    },
    
    {
      type = "technology",
      name = "hsmd-personal-bugzapper-equipment-4",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-personal-bugzapper-equipment.png",
	  icon_size = 224,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s7-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s8-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-bugzapper-s9-equipment"
        }
      },
	  prerequisites = {"hsmd-personal-bugzapper-equipment-3"},
      unit =
      {
        count = 7500,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    }

    
    
})