data:extend({

   {
      type = "technology",
      name = "hsmd-miniaturization-1",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-mixed-ore"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-gravitanium-ore"
        }
      },
	  prerequisites = {"chemical-science-pack"},
      unit =
      {
        count = 100,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
        },
        time = 30
      }
    },


    {
      type = "technology",
      name = "hsmd-miniaturization-2",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-gravitanium-plate"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-solvant"
        }
      },
	  prerequisites = {"hsmd-miniaturization-1", "utility-science-pack"},
      unit =
      {
        count = 200,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
			{"production-science-pack", 1}
        },
        time = 45
      }
    },


    {
      type = "technology",
      name = "hsmd-miniaturization-3",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-cleaned-gravitanium"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-powdered-gravitanium"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-boxed-gravitanium"
        }
      },
	  prerequisites = {"hsmd-miniaturization-2"},
      unit =
      {
        count = 500,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    },

    {
      type = "technology",
      name = "hsmd-miniaturization-4",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-miniaturizer"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-stacked-solar"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-stacked-battery"
        }
      },
	  prerequisites = {"hsmd-miniaturization-3"},
      unit =
      {
        count = 1000,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    }


--[[

      type = "technology",
      name = "hsmd-deathray-equiptment-1",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-deathray-s10-equipment"
        },
      },
	  prerequisites = {"military-4", ""hsmd-miniaturization-3"},
      unit =
      {
        count = 2500,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1},
            {"space-science-pack", 1}
        },
        time = 60
      }
    }

 
      type = "technology",
      name = "hsmd-jetpack-equiptment-1",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-jetpack-mk1-equiptment"
        },
      },
	  prerequisites = {"military-4", ""hsmd-miniaturization-3"},
      unit =
      {
        count = 2500,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1},
            {"space-science-pack", 1}
        },
        time = 60
      }
    }
]]


})