for _, animation in ipairs(data.raw["character"]["character"]["animations"]) do
  if animation.armors then
    for _, armor in ipairs(animation.armors) do
      if armor == "power-armor-mk2" then
        animation.armors[#animation.armors + 1] = "hsmd-power-armor-mk3"
		animation.armors[#animation.armors + 1] = "hsmd-power-armor-mk4"
        break
      end
    end
  end
end

data:extend({

  {
    type = "armor",
    name = "hsmd-power-armor-mk3",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-power-armor-mk3.png",
    icon_size = 32,
    resistances =
    {
      {
        type = "physical",
        decrease = 12,
        percent = 50
      },
      {
        type = "acid",
        decrease = 0,
        percent = 80
      },
      {
        type = "explosion",
        decrease = 80,
        percent = 60
      },
      {
        type = "fire",
        decrease = 0,
        percent = 70
      }
    },
    subgroup = "armor",
    order = "e[power-armor-mk3]",
    stack_size = 1,
    infinite = true,
    equipment_grid = "hsmd-large-equipment-grid-mk3",
    inventory_size_bonus = 40
  },
  
   {
    type = "armor",
    name = "hsmd-power-armor-mk4",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-power-armor-mk4.png",
    icon_size = 32,
    resistances =
    {
      {
        type = "physical",
        decrease = 14,
        percent = 70
      },
      {
        type = "acid",
        decrease = 2,
        percent = 80
      },
      {
        type = "explosion",
        decrease = 100,
        percent = 70
      },
      {
        type = "fire",
        decrease = 0,
        percent = 80
      }
    },
    subgroup = "armor",
    order = "e[power-armor-mk4]",
    stack_size = 1,
    infinite = true,
    equipment_grid = "hsmd-large-equipment-grid-mk4",
    inventory_size_bonus = 50
  }

})