data:extend({

-- Gear is solar, battary, laser, shield, roboport, exoskeleton, fusion x4, disruptor, nightvision

  {
    type = "item",
    name = "hsmd-night-vision-s1-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-night-vision-s1-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-night-vision-s1-equipment",
    subgroup = "equipment",
    order = "f[night-vision]-a[night-vision-equipment]-a[hsmd]",
    stack_size = 80
  },

  {
    type = "item",
    name = "hsmd-battery-mk2-s1-equipment",
    localised_description = {"item-description.battery-equipment"},
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-battery-mk2-s1-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-battery-mk2-s1-equipment",
    subgroup = "equipment",
    order = "c[battery]-b[battery-equipment-mk2]-a[hsmd]",
    stack_size = 20
  },

  {
    type = "item",
    name = "hsmd-solar-panel-s1-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-solar-panel-s1-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-solar-panel-s1-equipment",
    subgroup = "equipment",
    order = "a[energy-source]-a[solar-panel]-a[hsmd]",
    stack_size = 20
  },

  {
    type = "item",
    name = "hsmd-fusion-reactor-s1-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-fusion-reactor-s1-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-fusion-reactor-s1-equipment",
    subgroup = "equipment",
    order = "a[energy-source]-b[fusion-reactor]-a[hsmd]",
    stack_size = 30
  },

  {
    type = "item",
    name = "hsmd-fusion-reactor-s2-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-fusion-reactor-s2-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-fusion-reactor-s2-equipment",
    subgroup = "equipment",
    order = "a[energy-source]-b[fusion-reactor]-b[hsmd]",
    stack_size = 40
  },
  
  {
    type = "item",
    name = "hsmd-fusion-reactor-s3-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-fusion-reactor-s3-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-fusion-reactor-s3-equipment",
    subgroup = "equipment",
    order = "a[energy-source]-b[fusion-reactor]-c[hsmd]",
    stack_size = 50
  },

  
--[[  
  {
    type = "item",
    name = "hsmd-discharge-defense-s1-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-discharge-defense-s1-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-discharge-defense-s1-equipment",
    subgroup = "equipment",
    order = "d[active-defense]-b[discharge-defense-equipment]-a[hsmd]",
    stack_size = 80
  },
]]

  {
    type = "item",
    name = "hsmd-personal-roboport-mk2s-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-personal-roboport-mk2s-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-personal-roboport-mk2s-equipment",
    subgroup = "equipment",
    order = "e[robotics]-b[personal-roboport-mk2-equipment]-a[hsmd]",
    stack_size = 80
  },

  {
    type = "item",
    name = "hsmd-exoskeleton-s1-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-exoskeleton-s1-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-exoskeleton-s1-equipment",
    subgroup = "equipment",
    order = "e[exoskeleton]-a[exoskeleton-equipment]-a[hsmd]",
    stack_size = 20
  },

  {
    type = "item",
    name = "hsmd-energy-shield-mk2s-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-energy-shield-mk2s-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-energy-shield-mk2s-equipment",
    subgroup = "equipment",
    order = "b[shield]-b[energy-shield-equipment-mk2]-a[hsmd]",
    stack_size = 80
  },
  
  {
    type = "item",
    name = "hsmd-personal-laser-defense-s1-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-personal-laser-defense-s1-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-personal-laser-defense-s1-equipment",
    subgroup = "equipment",
    order = "d[active-defense]-a[personal-laser-defense-equipment]-a[hsmd]",
    stack_size = 80
  }
  
})