data:extend({

  {
    type = "recipe",
    name = "hsmd-solvant",
    category = "chemistry",
    enabled = false,
    energy_required = 10,
    ingredients =
    {
      {type="fluid", name="water", amount=50},
      {type="fluid", name="sulfuric-acid", amount=50},
      {type="item", name="solid-fuel", amount=5},
      {type="item", name="empty-barrel", amount=1}
    },
    results=
    {
      {type="item", name="hsmd-solvant", amount=1}
    },
--    main_product= "",
--    icon = "__base__/graphics/icons/fluid/light-oil-cracking.png",
--    icon_size = 32,
--    subgroup = "fluid-recipes",
--    order = "b[fluid-chemistry]-f[hsmd-solvant]
    crafting_machine_tint =
    {
      primary = {r = 0.75, g = 0.000, b = 0.000, a = 0.000},
      secondary = {r = 0.75, g = 0.950, b = 0.950, a = 0.000},
      tertiary = {r = 0.75, g = 0.500, b = 0.500, a = 0.000},
    }
  },


  {
    type = "recipe",
    name = "hsmd-mixed-ore",
    energy_required = 5,
    enabled = false,
    ingredients =
    {
      {"uranium-ore", 25},
      {"iron-ore", 25},
      {"copper-ore", 15},
      {"coal", 5},
      {"sulfur", 5},
      {"stone", 5}
    },
    result = "hsmd-mixed-ore",
    result_count = 5
  },


  {
    type = "recipe",
    name = "hsmd-gravitanium-ore",
    energy_required = 60,
    ingredients = {{ "hsmd-mixed-ore", 1}},
    result = "hsmd-gravitanium-ore",
    result_count = 5
  },



  {
    type = "recipe",
    name = "hsmd-gravitanium-plate",
    category = "smelting",
    energy_required = 5,
    ingredients = {{ "hsmd-gravitanium-ore", 1}},
    result = "hsmd-gravitanium-plate"
  },



  {
    type = "recipe",
    name = "hsmd-cleaned-gravitanium",
    category = "crafting-with-fluid",
    energy_required = 120,
    ingredients =
    {
      {"hsmd-solvant", 1},
      {type="fluid", name= "water", amount = 150},
      {"hsmd-gravitanium-plate", 50}
    },
    result = "hsmd-cleaned-gravitanium",
    result_count = 50,
    enabled = false
  },

  {
    type = "recipe",
    name = "hsmd-powdered-gravitanium",
    energy_required = 3,
    enabled = false,
    category = "crafting",
    ingredients =
    {
      {"hsmd-cleaned-gravitanium", 1}
    },
    result = "hsmd-powdered-gravitanium",
    result_count = 1
  },


  {
    type = "recipe",
    name = "hsmd-boxed-gravitanium",
    energy_required = 5,
    enabled = false,
    category = "crafting",
    ingredients =
    {
      {"hsmd-powdered-gravitanium", 100},
      {"iron-chest", 1},
      {"steel-chest", 1},
      {"iron-plate", 12}
    },
    result= "hsmd-boxed-gravitanium"
  },



  {
    type = "recipe",
    name = "hsmd-miniaturizer",
    enabled = false,
    energy_required = 6,
    ingredients =
    {
       {"nuclear-reactor", 1},
       {"energy-shield-mk2-equipment", 10},
       {"rocket-control-unit", 100},
       {"discharge-defense-equipment", 10},
       {"uranium-fuel-cell", 10},
       {"laser-turret", 1}
     },
    result = "hsmd-miniaturizer"
  },



  {
    type = "recipe",
    name = "hsmd-stacked-solar",
    energy_required = 5,
    enabled = false,
    category = "crafting",
    ingredients =
    {
      {"solar-panel-equipment", 9},
      {"copper-cable", 20},
      {"advanced-circuit", 2},
      {"steel-plate", 10}
    },
    result= "hsmd-stacked-solar"
  },


  {
    type = "recipe",
    name = "hsmd-stacked-battery",
    energy_required = 5,
    enabled = false,
    category = "crafting",
    ingredients =
    {
      {"battery-mk2-equipment", 8},
      {"copper-cable", 24},
      {"advanced-circuit", 2},
      {"steel-plate", 8}
    },
    result= "hsmd-stacked-battery",
    result_count = 1
  }


})
