local robo3 = table.deepcopy(data.raw['roboport-equipment']['hsmd-personal-roboport-mk3-equipment']);
robo3.name = "hsmd-personal-roboport-mk3-s1-equipment";
robo3.icon = "__Hiladdar_Gear__//graphics/equiptment/hsmd-personal-roboport-mk3-s1-equipment.png";
robo3.shape.width = 1;
robo3.shape.height = 1;
robo3.take_result = "hsmd-personal-roboport-mk3-s1-equipment";

data:extend({robo3});

data:extend({
	
  {
    type = "item",
    name = "hsmd-personal-roboport-mk3-s1-equipment",
    icon = "__Hiladdar_Gear__/graphics/icons/hsmd-personal-roboport-mk3-s1-equipment.png",
    icon_size = 32,
    placed_as_equipment_result = "hsmd-personal-roboport-mk3-s1-equipment",
    subgroup = "equipment",
    order = "e[robotics]-b[personal-roboport-mk2-equipment]-a[hsmd]-mk3-1",
    stack_size = 80
  }
  
});

data:extend({
	
  {
    type = "recipe",
    name = "hsmd-personal-roboport-mk3-s1-equipment",
    enabled = false,
    energy_required = 10,
    category = "advanced-crafting",
    ingredients =
    {
      {"hsmd-miniaturizer", 1},
      {"centrifuge", 1},
      {"construction-robot", 75},
      {"hsmd-boxed-gravitanium", 75},
      {"processing-unit", 1500},
      {"hsmd-personal-roboport-mk3-equipment", 1}

    },
    result = "hsmd-personal-roboport-mk3-s1-equipment"
  },

});

data:extend({

-- Need to make sure tech tree works and new graphics
	
    {
      type = "technology",
      name = "hsmd-personal-roboport-equipment-4",
      icon = "__base__/graphics/technology/personal-roboport-equipment.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-roboport-mk3-s1-equipment"
        }
      },
	  prerequisites = {"hsmd-personal-roboport-equipment-3", "hsmd-miniaturization-6"},
      unit =
      {
        count = 2500,
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    }

 });