data:extend({

    {
      type = "technology",
      name = "hsmd-miniaturization-5",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-solar-panel-s1-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-battery-mk2-s1-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-fusion-reactor-s1-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-night-vision-s1-equipment"
        }
      },
	  prerequisites = {"hsmd-miniaturization-4"},
      unit =
      {
        count = 5000,     -- 1250 per item miniaturize
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    },

    {
      type = "technology",
      name = "hsmd-miniaturization-6",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
        {
            type = "unlock-recipe",
            recipe = "hsmd-exoskeleton-s1-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-roboport-mk2s-equipment"
        },
--        {
--            type = "unlock-recipe",
--            recipe = "hsmd-discharge-defense-s1-equipment"
--        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-fusion-reactor-s2-equipment"
        }
      },
	  prerequisites = {"hsmd-miniaturization-5"},
      unit =
      {
        count = 8000,      -- 2000 per item to miniaturize
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    },

    {
      type = "technology",
      name = "hsmd-miniaturization-7",
      icon = "__Hiladdar_Gear__/graphics/technology/hsmd-miniaturization.png",
	  icon_size = 128,
      effects =
      {
--        {
--            type = "unlock-recipe",
--            recipe = "hsmd-personal-roboport-mk3s-equipment"
--        }
        {
            type = "unlock-recipe",
            recipe = "hsmd-personal-laser-defense-s1-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-energy-shield-mk2s-equipment"
        },
        {
            type = "unlock-recipe",
            recipe = "hsmd-fusion-reactor-s3-equipment"
        }
      },
	  prerequisites = {"hsmd-miniaturization-6"},
      unit =
      {
        count = 7500,       -- 2500 per item to miniaturize
        ingredients =
        {
			{"automation-science-pack", 1},
			{"logistic-science-pack", 1},
			{"chemical-science-pack", 1},
            {"military-science-pack", 1},
			{"production-science-pack", 1},
			{"utility-science-pack", 1}
        },
        time = 60
      }
    }




})